StandardIFDProperty (JHOVE Documentation)
Keywords: edu.harvard.hul.ois.jhove.module.tiff.StandardIFDProperty,StandardIFDProperty class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.tiff
Class StandardIFDProperty

    java.lang.Object
      |
      +--edu.harvard.hul.ois.jhove.Property
            |
            +--edu.harvard.hul.ois.jhove.module.tiff.DirectoryProperty
                  |
                  +--edu.harvard.hul.ois.jhove.module.tiff.TiffIFDProperty
                        |
                        +--edu.harvard.hul.ois.jhove.module.tiff.StandardIFDProperty

public class StandardIFDProperty
extends TiffIFDProperty

This class encapsulates the complex Property which is constructed with the information specific to a top-level TIFF IFD, as opposed to a private IFD.

Author:
  Gary McGath

Field Summary

Fields inherited from class edu.harvard.hul.ois.jhove.module.tiff.TiffIFDProperty
`_ifd`

Fields inherited from class edu.harvard.hul.ois.jhove.module.tiff.DirectoryProperty
`_messages, _numFormat, _propList, _rawOutput`

Constructor Summary
`StandardIFDProperty(TiffIFD ifd, boolean rawOutput)` Creates the TiffIFDProperty object from an IFD.

Methods inherited from class edu.harvard.hul.ois.jhove.module.tiff.TiffIFDProperty
`addOffset, addSubIFDList`

Methods inherited from class edu.harvard.hul.ois.jhove.module.tiff.DirectoryProperty
`addBitmaskProperty, addDoubleArrayProperty, addDoubleProperty, addIntArrayProperty, addIntArrayProperty, addIntProperty, addIntProperty, addIntProperty, addLongArrayProperty, addLongProperty, addRationalArrayProperty, addRationalProperty, addStringArrayProperty, addStringProperty, addStringProperty, getMessages, RationalToString`

Methods inherited from class edu.harvard.hul.ois.jhove.Property
`getArity, getName, getType, getValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardIFDProperty

    public StandardIFDProperty(TiffIFD ifd,
                               boolean rawOutput)

  Creates the TiffIFDProperty object from an IFD. The IFD must be of type STANDARD.

Parameters:
  `ifd` - The IFD object from which to extract information
  `rawOutput` - `true` if numeric values should not be replaced with explanatory text

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD